From cde6fc1e93a7d50c5e6723895d0452dc176d7527 Mon Sep 17 00:00:00 2001
From: Jarmo Torvinen <jarmo.torvinen@jutel.fi>
Date: Tue, 28 Apr 2009 09:36:48 +0300
Subject: [PATCH] rawaud parameter names now match the module name

---
 modules/demux/rawaud.c |   20 ++++++++++----------
 1 files changed, 10 insertions(+), 10 deletions(-)

diff --git a/modules/demux/rawaud.c b/modules/demux/rawaud.c
index 7679eb8..b2ac8f6 100644
--- a/modules/demux/rawaud.c
+++ b/modules/demux/rawaud.c
@@ -1,7 +1,7 @@
 /*****************************************************************************
  * rawaud.c : raw audio input module for vlc
  *****************************************************************************
- * Copyright (C) 2007 the VideoLAN team
+ * Copyright (C) 2009 the VideoLAN team
  * $Id$
  *
  * Authors: Jarmo Torvinen <jarmo.torvinen@jutel.fi>
@@ -60,11 +60,11 @@ vlc_module_begin();
     set_category( CAT_INPUT );
     set_subcategory( SUBCAT_INPUT_DEMUX );
     set_callbacks( Open, Close );
-    add_shortcut( "rawaudio" );
-    add_integer( "rawaudio-channels", 2, 0, CHANNELS_TEXT, CHANNELS_LONGTEXT, false );
-    add_integer( "rawaudio-samplerate", 48000, 0, SAMPLERATE_TEXT, SAMPLERATE_LONGTEXT, false );
-    add_string( "rawaudio-fourcc", "s16l", NULL, FOURCC_TEXT, FOURCC_LONGTEXT, false );
-    add_string( "rawaudio-lang", "eng", NULL, LANG_TEXT, LANG_LONGTEXT, false);
+    add_shortcut( "rawaud" );
+    add_integer( "rawaud-channels", 2, 0, CHANNELS_TEXT, CHANNELS_LONGTEXT, false );
+    add_integer( "rawaud-samplerate", 48000, 0, SAMPLERATE_TEXT, SAMPLERATE_LONGTEXT, false );
+    add_string( "rawaud-fourcc", "s16l", NULL, FOURCC_TEXT, FOURCC_LONGTEXT, false );
+    add_string( "rawaud-lang", "eng", NULL, LANG_TEXT, LANG_LONGTEXT, false);
 vlc_module_end();
 
 /*****************************************************************************
@@ -106,7 +106,7 @@ static int Open( vlc_object_t * p_this )
 
     es_format_Init( &p_sys->fmt, AUDIO_ES, 0 );
 
-    const char *psz_fourcc = var_CreateGetString( p_demux, "rawaudio-fourcc" );
+    const char *psz_fourcc = var_CreateGetString( p_demux, "rawaud-fourcc" );
 
     p_sys->fmt.i_codec = VLC_FOURCC( psz_fourcc[0], psz_fourcc[1], psz_fourcc[2], psz_fourcc[3] ); 
 
@@ -151,9 +151,9 @@ static int Open( vlc_object_t * p_this )
     }
 
 
-    p_sys->fmt.psz_language = var_CreateGetString( p_demux, "rawaudio-lang" );
-    p_sys->fmt.audio.i_channels = var_CreateGetInteger( p_demux, "rawaudio-channels" );
-    p_sys->fmt.audio.i_rate = var_CreateGetInteger( p_demux, "rawaudio-samplerate" );
+    p_sys->fmt.psz_language = var_CreateGetString( p_demux, "rawaud-lang" );
+    p_sys->fmt.audio.i_channels = var_CreateGetInteger( p_demux, "rawaud-channels" );
+    p_sys->fmt.audio.i_rate = var_CreateGetInteger( p_demux, "rawaud-samplerate" );
 
     msg_Dbg( p_demux, "got parameters: channels=%d , samplerate=%d, fourcc=%4.4s, bits per sample = %d", 
         p_sys->fmt.audio.i_channels, p_sys->fmt.audio.i_rate, (char*)&p_sys->fmt.i_codec, 
-- 
1.6.0.4

